linux-lts-quantal: 3.5.0-53.79~precise1 -proposed tracker

Bug #1336400 reported by Joseph Salisbury on 2014-07-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Joseph Salisbury
Prepare-package-meta
Medium
Joseph Salisbury
Prepare-package-signed
Medium
Joseph Salisbury
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Ubuntu Stable Release Updates Team
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-53.79~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 01. July 2014 16:26 UTC
kernel-stable-Prepare-package-end:Wednesday, 02. July 2014 21:05 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 02. July 2014 21:05 UTC
ppa-package-testing-start:Wednesday, 02. July 2014 21:05 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 03. July 2014 20:03 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Thursday, 03. July 2014 22:03 UTC
kernel-stable-Verification-testing-start:Thursday, 03. July 2014 22:03 UTC
kernel-stable-Certification-testing-start:Thursday, 03. July 2014 22:03 UTC
kernel-stable-Security-signoff-start:Thursday, 03. July 2014 22:03 UTC
kernel-stable-Regression-testing-start:Thursday, 03. July 2014 22:03 UTC
kernel-stable-Regression-testing-end:Sunday, 06. July 2014 13:02 UTC

tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted linux-lts-quantal, linux-meta-lts-quantal, linux-signed-lts-quantal to -proposed.

Brad Figg (brad-figg) on 2014-07-03
description: updated
Brad Figg (brad-figg) on 2014-07-03
description: updated
Adam Conrad (adconrad) on 2014-07-04
Changed in linux-lts-quantal (Ubuntu):
status: New → Invalid
Para Siva (psivaa) on 2014-07-06
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-06
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-quantal - 3.5.0-54.81~precise1

---------------
linux-lts-quantal (3.5.0-54.81~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux-lts-quantal (3.5.0-54.80~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-lts-3.5.0-52.79 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338611

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux-lts-quantal (3.5.0-53.79~precise1) precise; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1336400

  [ Upstream Kernel Changes ]

  * skbuff: export skb_copy_ubufs
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: add an api to orphan frags
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: skb_segment: orphan frags before copying
    - LP: #1298119
    - CVE-2014-0131
  * media-device: fix infoleak in ioctl media_enum_entities()
    - LP: #1333609
    - CVE-2014-1739
  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * userns: Allow chown and setgid preservation
    - LP: #1329103
    - CVE-2014-4014
  * fs,userns: Change inode_capable to capable_wrt_inode_uidgid
    - LP: #1329103
    - CVE-2014-4014
  * target/rd: Refactor rd_build_device_space + rd_release_device_space
    - LP: #1333612
    - CVE-2014-4027
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - CVE-2014-4608
  * lzo: properly check for overruns
    - CVE-2014-4608
 -- Luis Henriques <email address hidden> Mon, 14 Jul 2014 15:28:36 +0100

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers